import PdfReportPlugin from "../plugin";
import { HighlightArgs, HighlightBehaviorArgs, ICustomHighlight, ITextHighlightManager } from "./types";
export declare class TextHighlightManager implements ITextHighlightManager {
    private plugin;
    constructor(plugin: PdfReportPlugin);
    highlights: {
        [pageIndex: number]: ICustomHighlight[];
    };
    addHighlight(pageIndex: number, highlight: ICustomHighlight, args?: HighlightBehaviorArgs): void;
    highlightTextSegment(pageIndex: number, startCharIndex: number, endCharIndex: number, args?: HighlightArgs): Promise<boolean>;
    clearHighlightedSegments(pageIndex: number | number[], args?: HighlightBehaviorArgs): void;
    removeHighlight(pageIndex: number, index: number, args?: HighlightBehaviorArgs): void;
    clearAllHighlights(args?: HighlightBehaviorArgs): void;
    getHighlightsForPage(pageIndex: number): ICustomHighlight[];
    repaintTextLayer(pageIndices?: number | number[]): void;
}
