/** @module Viewer/Search */ /** */
import { CancellationToken } from "../../control/CancellationToken";
import * as SearchPanel from './types';
import { IDocumentView } from "../../api/PluginModel";
/** Defines search result */
export declare enum SearchStatus {
    /** Search completed */
    Completed = "completed",
    /** Search cancelled */
    Cancelled = "cancelled",
    /** Search argument error */
    ArgumentError = "argerror"
}
/** @hidden Searches for the text within the document. */
export declare function search(view: IDocumentView | null, searchOptions: SearchPanel.FindOptions, startFrom: SearchPanel.SearchResult, resultFn: (result: SearchPanel.SearchResult) => void, progressFn?: (progress: {
    pageIndex: number;
    pageCount: number | null;
}) => void, cancel?: CancellationToken): Promise<SearchStatus>;
